#ifndef OBLIK_DEF
#define OBLIK_DEF

#include "pravougaonik.hpp"
#include "elipsa.hpp"

class Oblik
{
    protected:
        Pravougaonik A;
        Elipsa B;

    public:
        Oblik(double aa = 5, double bb = 3) : A(aa, bb), B(aa / 2, bb / 2) {}

        Oblik(const Oblik& oblik) : A(oblik.A), B(oblik.B) {}

        double getP() const
        {
            return A.getP() - B.getP();
        }

        double getO() const
        {
            return A.getO() + B.getO();
        }
};

#endif
